TAPEINFO(1)

NAME
tapeinfo - report SCSI tape device info

SYNOPSIS
tapeinfo -f <scsi-generic-device>

DESCRIPTION
The tapeinfo command reads various information from SCSI tape drives that is not generally available via most vendors' tape drivers. It issues raw commands directly to the tape drive, using either the operating system's SCSI generic device ( e.g. /dev/sg0 on Linux, /dev/pass0 on FreeBSD) or the raw SCSI I/O ioctl on a tape device on some operating systems.

One good time to use 'tapeinfo' is immediately after a tape i/o operation has failed. On tape drives that support HP's 'tapealert' API, 'tapeinfo' will report a more exact description of what went wrong.

Do be aware that 'tapeinfo' is not a substitute for your operating system's own 'mt' or similar tape driver control program. It is intended to supplement, not replace, programs like 'mt' that access your operating system's tape driver in order to report or set information.

OPTIONS
The first argument, given following -f , is the SCSI generic device corresponding to your tape drive. Consult your operating system's documentation for more information (for example, under Linux these are generally start at /dev/sg0 under FreeBSD these start at /dev/pass0).

Under FreeBSD, camcontrol devlist will tell you what SCSI devices you have, along with which 'pass' device controls them. Under Linux, the command lsscsi --generic will tell you what SCSI devices you have.

BUGS AND LIMITATIONS

This program has only been tested on Linux with a limited number of tape drives (HP DDS4, Seagate AIT, IBM LTO-6).

AVAILABILITY
tapeinfo is currently being maintained by Robert Nelson <robertnelson@users.sourceforge.net> as part of the 'mtx' suite of programs. The 'mtx' home page is http://mtx.sourceforge.net and the actual code is currently available there and via SVN from http://sourceforge.net/projects/mtx.

SEE ALSO
mt(1),mtx(1),scsitape(1),scsieject(1),loaderinfo(1)